//adc.h

#ifndef ADC_H_
#define ADC_H_

//#define VREF       1.1f    // Referenzspannung 1.1V
//#define VMAX      16.50f   // max. 16.5V am Teiler messbar /1023 Stufen		

void ADC_init(char ref);  // ADC init
int ADC_read(void);       // ADC einlesen
int ADC_read_mean(void);  // ADC einlesen + 8 Werte mitteln 
void ADC_periphery(void); 
void ADC2Temp(int ADCResult);  // ADC-Temperaturausgabe ueber LCD/UART
void ADC2Volt(int ADCResult);  // ADC-Spannungsausgabe ueber LCD/UART
void ADC2Curr(int ADCResult);  // ADC-Stromausgabe ueber LCD/UART
void ADC2RAW(unsigned int ADCResult);  // ADC-Rohwertausgabe ueber LCD/UART
void ADC2RAWAUX(int ADCresult);  // ADC-Rohwertausgabe 4 Rohwerte ueber LCD/UART

// Voltage reader function
//char VoltageFunc(char);

#endif
 