// main.h

#ifndef MAIN_H_
#define MAIN_H_

// Public Functions (used in menu.h and others)
void Initialization(void);
//void Delay(unsigned int millisec);

#define F_CPU   16000000  // 16MHz Quarz auf Arduino nano 3

#define BOOL    char

#define FALSE   0
#define TRUE    (!FALSE)
#define NULL ((void *)0)

// Macro definitions
// ( GNU compatibility Macros )

#ifndef sbi
    #define _BV(bit)            (1 << (bit))
    #define sbi(x,bit)          (x |= _BV(bit)) // set bit  ( GNU compatability )
    #define cbi(x,bit)          (x &= ~_BV(bit)) // clear bit  ( GNU compatability )
#endif
#ifndef bit_is_set
    #define bit_is_set(sfr, bit) (sfr & _BV(bit))
    #define bit_is_clear(sfr, bit) (!(sfr & _BV(bit)))
#endif

//Button definitions
//#define KEY_ENTER   1

//constants to enable Channels on logger

// Constants for controlling the behaviour of the flash
//
//#define BYTESPERPAGE        264
//#define TOTALPAGESINFLASH   2048
//#define DATESIZE        (2 * EN_LOG_DATE) + (3 * EN_LOG_CLOCK)
//#define NOOFPARAMS      (EN_LOG_LIGHT+ (EN_LOG_AUX*AUX_ADCS)+ EN_LOG_TEMP+ EN_LOG_SPEED+ EN_LOG_VOLT+ EN_LOG_CURR+ (2 * EN_LOG_SHT))
//#define BYTESPERPARAMETER   2
//#define NONSTDPARAMS        (EN_LOG_TEMP + EN_LOG_SPEED+ EN_LOG_VOLT+ EN_LOG_CURR+ (2 * EN_LOG_SHT))
//#define RECORDSIZE      (DATESIZE + (NOOFPARAMS * BYTESPERPARAMETER) + (3 * EN_LOG_DS1820 * DS1820_COUNT))
//#define RECORDSPERPAGE      (BYTESPERPAGE/RECORDSIZE)

// Global Variables defined in main.c
//
//extern unsigned char gDataPosition; // position in page of next write to df
//extern unsigned int gDataPage;      // current page to be written to the flash

// start from end of flash to reduce wear on my prototype DF chip
//#define DF_INVERTPAGEUSAGE	TRUE

#endif
