//usart.h

#ifndef USART_H_
#define USART_H_

void USART_init(unsigned int baudrate);

void USART_Tx(char);
char USART_Rx(void);

// send one char as readable text
void USART_Tx_hex(char data);   // ein byte als hex ausgeben
void USART_Tx_byte(char data);  // byte als ASCII lesbar ausgeben
void USART_Tx_int(unsigned int data); // Integer ausgeben

void USART_Tx_msg (const char *s); // String-Botschaft ausgeben
void USART_sendADC(char channel);  // ADC-Wert ausgeben

//extern char gUART;

#endif
